Bug 442288 - fedora specific certificates should be included in package, installed to /etc
fedora specific certificates should be included in package, installed to /etc
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fedora-packager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-13 18:12 EDT by Stephen
Modified: 2009-03-19 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-19 12:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen 2008-04-13 18:12:48 EDT
Description of problem:

1) The instructions for using koji:

  http://fedoraproject.org/wiki/PackageMaintainers/UsingKoji

say that /usr/bin/fedora-packager-setup.sh should be run, and that it can be
downloaded from: https://hosted.fedoraproject.org/projects/fedora-packager/

But the script is included in the fedora-packager. Either the package should be
updated with the latest script or the instruction on the wiki should be removed.


2) fedora-packager-setup.sh then downloads certificates from fedoraproject.org.
These should be included in the package, and installed into /etc, not the users
home directory. Those instructions can then be removed from the wiki.



Version-Release number of selected component (if applicable):

fedora-packager-0.1
Comment 1 Bug Zapper 2008-05-14 05:23:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Dennis Gilmore 2009-03-19 12:39:40 EDT
fedora-pagaer-setup does more than get the certs.  it writes out config files and sets up the cert for use in a web browser.  its a step that will alsways need running.  I personally do not feel that the certs should be shipped in the package.

Note You need to log in before you can comment on or make changes to this bug.